<template>
  <div class="page__wrapper">
    <div
        class="page"
        v-for="page in pageTotal"
        :key="page"
        :class="{
          'current-page': page === currentPage,
        }"
        @click="$emit('update', page)"
    >
      {{ page }}
    </div>
  </div>
</template>

<script>
export default {
  name: 'pagination',
  props: {
    pageTotal: {
      type: Number,
      required: true
    },
    currentPage: {
      type: Number,
      required: true
    }
  },
}
</script>

<style scoped>
.page__wrapper {
  display: flex;
  margin-top: 15px;
}
.page {
  border: 1px solid black;
  padding: 10px;
  cursor: pointer;
}
.current-page {
  border: 2px solid teal;
}
</style>